classification
Title: Issue with get_build_version in msvc9compiler.py in distutils
Type: behavior Stage: resolved
Components: Distutils, Windows Versions:
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: dstufft, eric.araujo, kalyan, paul.moore, steve.dower, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2021-07-11 23:25 by kalyan, last changed 2021-07-13 12:27 by steve.dower. This issue is now closed.

Messages (3)
msg397269 - (view) Author: Rajesh (kalyan) Date: 2021-07-11 23:25
get_build_version method in msvc9compiler.py file in distutils folder is returning MSVC version as "14.2" for Python 3.9.

14.2 is the build version for Visual Studio 2015, but Visual studio 2015 wont work on Windows 10 as per the below link 

https://visualstudio.microsoft.com/vs/support/vs2015/visual-studio-2015-system-requirements/

So, Python 3.9 wont work on Windows 10?

I am trying to install wxPython 4.0.7 using "pip install wxPython==4.0.7" but facing error to find the visual studio in Windows 10 using Python 3
msg397270 - (view) Author: Rajesh (kalyan) Date: 2021-07-12 00:11
Recently Microsoft also removed support to install Visual Studio 2015 installation using installer, so users who need visual studio 2015 must download and then install.

This will cause issues to Python packages that depend on distutils which again depends on visual studio 2015
msg397395 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-07-13 12:27
msvc9compiler.py has been deprecated ever since _msvccompiler.py was introduced, so no code should be using it (it was always internal anyway).

And now all of distutils is also deprecated, so you probably need to report this to the setuptools project at https://github.com/pypa/setuptools so they can fix it in their embedded copy of distutils.
History
Date User Action Args
2021-07-13 12:27:45steve.dowersetstatus: open -> closed
resolution: out of date
messages: + msg397395

stage: resolved
2021-07-13 02:14:19ned.deilysetnosy: + eric.araujo, dstufft, paul.moore, tim.golden, zach.ware, steve.dower
components: + Distutils, Windows
2021-07-12 00:11:29kalyansetmessages: + msg397270
2021-07-11 23:25:02kalyancreate